%define anolis_release 1

Name:		pyparted
Epoch:  	1
Version:	3.12.0
Release:	%{anolis_release}%{?dist}
Summary:	Python bindings for GNU parted (libparted)

License:	GPLv2+
URL:		https://github.com/dcantrell/pyparted
Source0:	https://github.com/dcantrell/pyparted/archive/refs/tags/v3.12.0.tar.gz

BuildRequires:	make
BuildRequires:	gcc 
BuildRequires:	pkgconfig 
BuildRequires:	parted-devel >= 3.3
BuildRequires:	e2fsprogs
BuildRequires:	python3-devel 
BuildRequires:	python3-six 
BuildRequires:	python3-setuptools

%description
Pyparted is a set of native Python bindings for libparted. libparted is the 
library portion of the GNU parted project. With pyparted, you can write 
applications that interact with disk partition tables and filesystems.

%package -n python3-pyparted
Summary: Python 3 module for GNU parted

%description -n python3-pyparted
Python 3 module for GNU parted


%prep
%autosetup -n %{name}-%{version} -p1


%build
PYTHON=python3 %make_build CFLAGS="$RPM_OPT_FLAGS"


%install
PYTHON=python3 %make_install


%check
PYTHON=python3 make test


%files -n python3-pyparted
%license COPYING
%doc AUTHORS NEWS README TODO
%{python3_sitearch}/_ped.*.so
%{python3_sitearch}/parted
%{python3_sitearch}/%{name}-%{version}-*.egg-info


%changelog
* Wed Apr 13 2022 happy_orange <songnannan@linux.alibaba.com> - 3.12.0-1
- Init package from upstream 3.12.0
